package com.eactive.eai.rms.common.meta;

import java.util.HashMap;

import org.apache.log4j.Logger;
import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

/**
 * <pre>
 * 1. 기능 : 대시보드에서 사용하기 위한 DB Query 서비스
 *          거래로그건수, 타임아웃건수, 에러로그 건수를 조회하여 리턴한다.
 * 2. 처리 개요 :
 *     -
 * 3. 주의사항 :
 * </pre>
 * 
 * @author : 윤영주
 * @version : $Revision: 1.12.2.3 $
 * @since : rts 1.0
 * @spring.bean id="DashboardTargetDao"
 * @spring.property name="dataSource" ref="dataSource"
 */
@Repository("metaSyncDao")
public class MetaSyncDao extends SqlMapClientTemplateDao{
	
    /**
    * Logger for this class
    */
    final Logger logger = Logger.getLogger(MetaSyncDao.class);
    
	public String getLastUpdateTimeItem(HashMap<String,Object> paramMap)throws Exception {
		return null;
//		return (String)this.template.queryForObject("MetaSync.getLastUpdateTimeItem",paramMap);
	}

	public String getLastUpdateTimeTelegram(HashMap<String,Object> paramMap) throws Exception {
		return null;
//		return (String)this.template.queryForObject("MetaSync.getLastUpdateTimeTelegram",paramMap);
	}

	public String getLastUpdateTimeStdErrMsg(HashMap<String,Object> paramMap) throws Exception {
		return null;
//		return (String)this.template.queryForObject("MetaSync.getLastUpdateTimeStdErrMsg",paramMap);
	}
	public String getLastUpdateTimeCode(HashMap<String,Object> paramMap) throws Exception {
		return null;
//		return (String)this.template.queryForObject("MetaSync.getLastUpdateTimeCode",paramMap);
	}
	public String getLastUpdateTimeActnMsg(HashMap<String,Object> paramMap) throws Exception {
		return null;
//		return (String)this.template.queryForObject("MetaSync.getLastUpdateTimeActnMsg",paramMap);
	}    
	
	
	
    
	
	
	public int updateSyncItem(HashMap<String,String> paramMap) throws Exception {
		return this.template.update("MetaSync.updataSyncItem",paramMap);
	}

	public int updateSyncTelegram(HashMap<String,String> paramMap) throws Exception {
		return this.template.update("MetaSync.updataSyncTelegram",paramMap);
	}

	public int updateSyncStdErrMsg(HashMap<String,String> paramMap) throws Exception {
		return  this.template.update("MetaSync.updataSyncStdErrMsg",paramMap);
	}
	public int updateSyncCode(HashMap<String,String> paramMap) throws Exception {
		return this.template.update("MetaSync.updataSyncCode",paramMap);
	}
	public int updateSyncActnMsg(HashMap<String,String> paramMap) throws Exception {
		return this.template.update("MetaSync.updataSyncActnMsg",paramMap);
	}	

}
